MuleConfigProvider (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.MuleConfigProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class MuleConfigProvider

    java.lang.Object
      org.apache.axis.configuration.SimpleProvider
          org.mule.transport.soap.axis.extensions.MuleConfigProvider

All Implemented Interfaces:
  org.apache.axis.EngineConfiguration

    public class MuleConfigProvider

extends org.apache.axis.configuration.SimpleProvider

`MuleConfigProvider` is needed because the Simple Provider does not list services in the defaultConfiguration.

Field Summary

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`MuleConfigProvider(org.apache.axis.EngineConfiguration engineConfiguration)`

Method Summary
`void` | `configureEngine(org.apache.axis.AxisEngine engine)` Configure an AxisEngine.
`Iterator` | `getAllDeployedServices()`
`Iterator` | `getAxisDeployedServices()`

Methods inherited from class org.apache.axis.configuration.SimpleProvider
`addRole, deployService, deployService, deployTransport, deployTransport, getDeployedServices, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getRoles, getService, getServiceByNamespaceURI, getTransport, getTypeMapping, getTypeMappingRegistry, removeRole, setGlobalOptions, setGlobalRequest, setGlobalResponse, setRoles, writeEngineConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleConfigProvider

    public MuleConfigProvider(org.apache.axis.EngineConfiguration engineConfiguration)

Method Detail

### configureEngine

    public void configureEngine(org.apache.axis.AxisEngine engine)
                         throws org.apache.axis.ConfigurationException

  Configure an AxisEngine. Right now just calls the default configuration if there is one, since we don't do anything special.

  Specified by:
    `configureEngine` in interface `org.apache.axis.EngineConfiguration`
  Overrides:
    `configureEngine` in class `org.apache.axis.configuration.SimpleProvider`
  Throws:
    `org.apache.axis.ConfigurationException`

### getAxisDeployedServices

    public Iterator getAxisDeployedServices()
                                     throws org.apache.axis.ConfigurationException

  Throws:
    `org.apache.axis.ConfigurationException`

### getAllDeployedServices

    public Iterator getAllDeployedServices()
                                    throws org.apache.axis.ConfigurationException

  Throws:
    `org.apache.axis.ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.